# getByType

abstract fun <T> getByType(type: Class<T>): T

Looks for the extension of a given type (useful to avoid casting). If none found it will throw an exception.

#### Return

extension, never null

#### Parameters

type

extension type

#### Throws

UnknownDomainObjectException

When the given extension is not found.

abstract fun <T> getByType(type: TypeOf<T>): T

Looks for the extension of a given type (useful to avoid casting). If none found it will throw an exception.

#### Return

extension, never null

#### Since

3.5

#### Parameters

type

extension type

#### Throws

UnknownDomainObjectException

When the given extension is not found.